
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include "assuma_addoninstance.h"

AssumaAddonInstance::AssumaAddonInstance() {
	_data.empty();
}

AssumaAddonInstance::~AssumaAddonInstance(){
	_data.empty();
}

void AssumaAddonInstance::insertValue(const QString & key , const QString & value){
	_data.insertMulti(key,value);
}

QStringList AssumaAddonInstance::getValues(const QString & key){
	return _data.values(key);
}

QString AssumaAddonInstance::author(){
	return _data.value("Author","");
}

QString AssumaAddonInstance::version(){
	return _data.value("Version");
}

QString AssumaAddonInstance::name(){
	return _data.value("Name");
}

QString AssumaAddonInstance::license(){
	return _data.value("License","GPL3");
}

QString AssumaAddonInstance::description(){
	return _data.value("Description","");
}

QString AssumaAddonInstance::type(){
	return _data.value("Type");
}

QStringList AssumaAddonInstance::codeFiles(){
	return _data.values("CodeFile");
}

QString AssumaAddonInstance::uiFile(){
	return _data.value("Ui","");
}

QStringList AssumaAddonInstance::locales(){
	return _data.values("Locale");
}
