
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include "assuma_customwidgets.h"

AssumaCustomWidgetBase::AssumaCustomWidgetBase(QWidget * parent) : QWidget(parent){
	setLayout( new QHBoxLayout );
	m_label = new QLabel(this);
	layout()->addWidget(m_label);
	m_widget = new QWidget(this);
	layout()->addWidget(m_widget);
}

void AssumaCustomWidgetBase::setCustomFieldLabelString( const QString & label ) { 
	m_label->setText( label ); 
}
void AssumaCustomWidgetBase::setCustomFieldWidget( QWidget *widget ){
	layout()->removeWidget(m_widget);
	m_widget = widget; 
	layout()->addWidget(m_widget);
}

QWidget* AssumaCustomWidgetBase::customFieldWidget(){
	return m_widget;
}

QString AssumaCustomWidgetBase::labelAsString(){
        return m_label->text();
}

void AssumaCustomWidgetBase::setId( const QString & data ){
	m_id = data;
}

QString AssumaCustomWidgetBase::id(){
        return m_id;
}

static QWidget* createEditor(QWidget *parent){
	return new QWidget(parent);
};
