#include "assuma_helpbrowser.h"
#include "assuma_mainwindow.h"
#include <QDebug>

AssumaHelpBrowser::AssumaHelpBrowser(QWidget *parent) : QDialog(parent){
	setupUi(this);
	webView->settings()->setAttribute(QWebSettings::PluginsEnabled,true);
	progressBar->setVisible(false);
	progressBar->reset();
	connect( webView, SIGNAL( loadProgress(int) ), progressBar, SLOT( setValue(int) ) );
	connect( webView, SIGNAL( loadStarted() ), progressBar, SLOT( show() ) );
	connect( webView, SIGNAL( loadFinished(bool) ), progressBar, SLOT( hide() ) );
	setVisible(false);
}

void AssumaHelpBrowser::setUrl( const QUrl & url ){
// 	qDebug() <<  "AssumaHelpBrowser::setUrl => loading " << url;
	webView->load(url);
}

void AssumaHelpBrowser::loadTheme( const QString & themeName ){
	if( ! AssumaMW )
		return;
	QIcon icon;
	icon.addFile( AssumaMW->getImageFromTheme(themeName,"assuma-help-icon") , QSize(), QIcon::Normal, QIcon::Off);
	setWindowIcon(icon);
	QIcon icon1;
	icon1.addFile( AssumaMW->getImageFromTheme(themeName,"button-back") , QSize(), QIcon::Normal, QIcon::Off);
	backButton->setIcon(icon1);
	backButton->setIconSize(QSize(22, 22));
	QIcon icon2;
	icon2.addFile(AssumaMW->getImageFromTheme(themeName,"button-next"), QSize(), QIcon::Normal, QIcon::Off);
	forwardButton->setIcon(icon2);
	forwardButton->setIconSize(QSize(22, 22));
	QIcon icon3;
	icon3.addFile(AssumaMW->getImageFromTheme(themeName,"button-close"), QSize(), QIcon::Normal, QIcon::Off);
	closeButton->setIcon(icon3);
	closeButton->setIconSize(QSize(22, 22));
	
	QWebSettings::setOfflineStoragePath( AssumaMW->getDirectory("data") );
	webView->settings()->setAttribute(QWebSettings::LocalStorageDatabaseEnabled,true);
	webView->settings()->setAttribute(QWebSettings::OfflineWebApplicationCacheEnabled,true);
	webView->settings()->setAttribute(QWebSettings::OfflineStorageDatabaseEnabled,true);
}

void AssumaHelpBrowser::on_webView_urlChanged(const QUrl & url){
	qDebug() << "AssumaHelpBrowser::destUrlChanged => " << url;
}
