
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include "customfieldsxmlhandler.h"
#include <QMessageBox>
#include "customfielditem.h"

#ifdef ASSUMA_DEBUG
#include <QDebug>
#endif

CustomFieldsXmlHandler::CustomFieldsXmlHandler( ){
	m_itemList.empty();
#ifdef ASSUMA_DEBUG
	qDebug() << "CustomFieldsXmlHandler-> Constructed";
#endif
}

bool CustomFieldsXmlHandler::startElement( const QString &/*namespaceURI*/, const QString &/*localName*/, const QString &qName, const QXmlAttributes &attributes ){
	if( qName == "CustomField"){
		CustomFieldItem *item = new CustomFieldItem;
		item->setId( attributes.value("id") );
		item->setLabel( attributes.value("label") );
		item->setType( attributes.value("type") );
		item->setExtraString( attributes.value("extra_string") );
		if( ! item->id().isEmpty() && ! item->label().isEmpty() && ! item->type().isEmpty() )
			m_itemList << item;
	}
	currentText = "";
	return true;
}

QList<CustomFieldItem *> CustomFieldsXmlHandler::getData(){
	return m_itemList;
}

bool CustomFieldsXmlHandler::fatalError(const QXmlParseException &exception){
	QMessageBox::warning(0,QObject::tr("Association Subscribers Manager custom fields XML parser"),
		QObject::tr("parse error at line %1, column %2:\n%3")
		.arg( exception.lineNumber() )
		.arg( exception.columnNumber() )
		.arg( exception.message() )
		
	);
	return false;
}

