
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include <QApplication>
#include <QDialog>
#include <QSplashScreen>
#include <QTranslator>

#ifdef ASSUMA_DEBUG
#include <QDebug>
#endif

#include "assuma_mainwindow.h"
#include "assuma_wizard.h"

int main(int argc, char *argv[])
{
	QApplication app(argc,argv);
	AssumaWizard *wizard = new AssumaWizard ;
	bool run_wizard = false;
	foreach ( QString str, QCoreApplication::arguments() ){
#ifdef ASSUMA_DEBUG
		qDebug() << "Main -> argument : " << str;
#endif
		if(str == "--wizard"){
			run_wizard = true;
			break;
		}
	}
	if( run_wizard || ! wizard->haveAlreadyRun() )
		wizard->exec();
	else
		wizard->close();
#ifdef ASSUMA_DEBUG
	qDebug() << "Main() -> creating AssumaMainWindow";
#endif
	AssumaMainWindow *w = AssumaMainWindow::instance();
#ifdef ASSUMA_DEBUG
	qDebug() << "Main() -> about to show AssumaMainWindow";
#endif
	w->show();
#ifdef ASSUMA_DEBUG
	qDebug() << "Main() -> processing post-init tasks";
#endif
	w->processPostInitTasks();
#ifdef ASSUMA_DEBUG
	qDebug() << "Main() -> checking for updates";
#endif
	w->checkUpdatesOnStart();
#ifdef ASSUMA_DEBUG
	qDebug() << "Main() -> app.exec()";
#endif
	return app.exec();
}
